<?php

namespace DAL;

class AdminGateway
{
    private $con;

    /**
     * @param $con
     */
    public function __construct($con)
    {
        $this->con = $con;
    }

    public function login(string $login):array
    {
        try{
            $query = 'SELECT mdp,mail FROM Admin WHERE login = :login;';
            $this->con->executeQuery($query, array(':flux' => array($login, PDO::PARAM_STR)));
            return $this->con->getResults();
        }catch (\PDOException $e){
            throw new \Exception("PDO error");
        }
    }
}